Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: problemen met SSH op LAMP...  (gelezen 1147 keer)

darkdaan

  • Gast
problemen met SSH op LAMP...
« Gepost op: 2009/08/11, 18:56:47 »
hallo,

omdat dit mijn eerste post hier is, allereerst even netjes voorstellen:
 ik ben Daniel, 25, uit Dordrecht, draai thuis 2 PC's, (een dualcore met 1250GB op Vista (dusch...) en een P4-3GB met 250GB op Ubuntu 9.04....

over dit laatste systeem heb ik een vraag CQ probleem.

Ik had op mijn " oude " pc een LAMP (6.06 dapper drake) draaien, ICM phpMyAdmin en de hele mikmak...

Nu heb ik op de nieuwe bak 9.04 jaunty geinstalleerd, en al bij het installeren ging het fout. de geselecteerde pakketen werden niet geinstalled. Opzich niet zo'n probleem, heb nu de gehele webserver draaien, ICM PHP, MYSQL, PERL etc...

Ik heb er ook gelijk SSH op geeinstalleerd, zodat ik vanaf mijn main-PC, met Putty op kan werken.

Nu kan ik op de nieuwe bak helaas phpmyadmin niet installen (geeft aan dat hij de package niet kan vinden. ik weet dat er een mogelijkheid is om extra servers aan te geven waar hij moet zoeken, maar hoe wat en waar weet ik niet :S)

Tevens, als ik met WINSCP inlog op mijn nieuwe server, kan ik wel in de map /var/www/ maar vervolgens kan ik er NIETS uploaden. (error code3 permission denied)

iemand die zo iets weet hoe ik beide "problemen" op moet lossen???
alvast super bedankt!
Daniel

Offline siegi

  • Lid
  • Steunpunt: Nee
Re: problemen met SSH op LAMP...
« Reactie #1 Gepost op: 2009/08/11, 19:30:13 »
Een topic dat verkeerd geplaatst is hoef je niet opnieuw te posten. Druk gewoon op meld dit bericht aan de moderator, zeg wat er fout is gegaan en wij verplaatsen het voor jouw. :)

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: problemen met SSH op LAMP...
« Reactie #2 Gepost op: 2009/08/11, 20:58:35 »
Vreemd want pakket phpmyadmin zit gewoon in de universe pakketbron. Die zou standaard geactiveerd moeten zijn in 9.04.  ??? Pakketbronnen zijn gedefinieerd in bestand /etc/apt/sources.list.

Om iets te mogen uploaden moet je schrijfrechten op het bestandssysteem hebben. Een mogelijke optie (er zijn er meer) is om je eigenaar te maken van deze map (vul voor 'naam' je 'inlognaam' in):

sudo chown naam:naam /var/www
`Wie wil de Nederlandstalige Ubuntu documentatie wiki onderhouden? https://wiki.ubuntu-nl.org

Offline Paul Matthijsse

  • Lid
  • Steunpunt: Nee
Re: problemen met SSH op LAMP...
« Reactie #3 Gepost op: 2009/08/11, 21:59:14 »
hallo, ik heb toevallig de laatste dagen meermalen (in verschillende virtuele machines) phpmyadmin op jaunty 9.04 geïnstalleerd, werkt gewoon via sudo apt-get install phpmyadmin. Kennelijk is er iets mis met je synaptic, even opschonen of zo, weet het commando niet uit m'n hoofd, iets met sudo apt-get autoremove en daarna update. Dat ook je andere geselecteerde pakketten (apache2, php5 en mysql-server schat ik) ook niet (goed) werden geïnstalleerd, wijst nogmaals op een probleem in je synaptic.

Wat winscp is, weet ik zo gauw niet. Je kunt altijd bestanden in /var/www plaatsen dmv. het sudo-commando, als het een lokale server / localhost / 127.0.0.1 betreft. Dus bv. sudo cp phpinfo.php /var/www
https://allesgimpofbijna.wordpress.com - GIMP en omstreken
https://paulsphotopalace.wordpress.com (Engelstalig) - Raw, RawTherapee, G'MIC, GIMP...

Offline Gandyman

  • Lid
  • Steunpunt: Nee
Re: problemen met SSH op LAMP...
« Reactie #4 Gepost op: 2009/08/12, 00:10:15 »
Voor je verder gaat darkdaan ?

Neem van mij aan dat je zeker voor servers alleen maar werkt met een LTS versie en niet met een tussenversie.
Gebruik dus Hardy Heron.

En voor al die mensen die nu meteen beginnen te roepen dat zij NOOIT problemen hebben ?

Is mooi, dan heb je dom geluk gehad, een tussenversie is niet zo stabiel als een LTS versie.

Je kan ook wel eens de lotto winnen, echter dit doe je niet elke week. !

MAW geen garantie bij tussenversies.
« Laatst bewerkt op: 2009/08/12, 16:29:37 door Gandyman »
I don't suffer from insanity, I enjoy every minute of it.
Microsoft geeft je een raam, Linux geeft je een heel huis :D

darkdaan

  • Gast
Re: problemen met SSH op LAMP...
« Reactie #5 Gepost op: 2009/08/12, 15:46:09 »
Een topic dat verkeerd geplaatst is hoef je niet opnieuw te posten. Druk gewoon op meld dit bericht aan de moderator, zeg wat er fout is gegaan en wij verplaatsen het voor jouw. :)


Excuus :)

allereerst bedankt. Dit probleem is opgelost, ik kan nu idd uploaden, middels SSH, met dank aan de CHOWN code.
PHPmyadmin is ondertussen ook geinstalleerd, maar in de sources.list stond alleen mijn cd-rom. Waarschijnlijk dus een fout in de distributie die ik gedownload heb.

heb ik gelijk een volgende vraag. mijn MOD_REWRITE werkt niet. Ik wilde permalinks activeren, maar hij doet het dus niet. sudo apache2ctl -l geeft ook aan dat de mod niet geactiveerd is...

Hoe deze te activeren? ik zie nl diverse omschrijvingen, maar geen die eensluitend is. Iets aanpassen in de php.ini file? of juist in de httpd.conf?

wederom bedankt!!

Offline JanClaeys

  • Lid
  • Steunpunt: Nee
Re: problemen met SSH op LAMP...
« Reactie #6 Gepost op: 2009/08/18, 04:59:36 »
Voor je verder gaat darkdaan ?

Neem van mij aan dat je zeker voor servers alleen maar werkt met een LTS versie en niet met een tussenversie.
Gebruik dus Hardy Heron.
[...]
MAW geen garantie bij tussenversies.
De reden waarom men voor een server vaak de LTS-versie kiest is dat je daar 5 jaar lang security updates voor krijgt, niet omdat andere versies niet goed zouden werken.  Welke versie je wil gebruiken bepaal je dus zelf, afhankelijk van je vereisten (vb. omdat je een nieuwere versie van iets nodig hebt).

heb ik gelijk een volgende vraag. mijn MOD_REWRITE werkt niet. Ik wilde permalinks activeren, maar hij doet het dus niet. sudo apache2ctl -l geeft ook aan dat de mod niet geactiveerd is...

Hoe deze te activeren? ik zie nl diverse omschrijvingen, maar geen die eensluitend is. Iets aanpassen in de php.ini file? of juist in de httpd.conf?
Apache komt met 4 zeer handige tools: a2enmod, a2dismod, a2ensite & a2dissite (zie ook de respectievelijke man-pagina's).

Om de 'rewrite' module te activeren heb je a2enmod ("Apache 2 ENable MODule") nodig:
sudo a2enmod rewrite
Er staat overigens nog meer interessante info over hoe je Apache best beheert in Debian/Ubuntu in /usr/share/doc/apache2/README.Debian.gz (kan je lezen met 'zless', of anders even uitpakken en openen in je favoriete editor/viewer).
Jan Claeys
Ubuntu-nl IRC team - Ubuntu-be LoCoTeam Contact